Qwt User's Guide 6.1.3

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Member Functions | List of all members
QwtTextLabel Class Reference

A Widget which displays a QwtText. More...

`#include <qwt_text_label.h>`

Inheritance diagram for QwtTextLabel:
[legend]

## Public Slots
void | setText (const QString &, QwtText::TextFormat textFormat=QwtText::AutoText)
virtual void | setText (const QwtText &)
void | clear ()
| Clear the text and all QwtText attributes.

## Public Member Functions
| QwtTextLabel (QWidget *parent=NULL)
| QwtTextLabel (const QwtText &, QWidget *parent=NULL)
virtual | ~QwtTextLabel ()
| Destructor.
void | setPlainText (const QString &)
QString | plainText () const
const QwtText & | text () const
| Return the text.
int | indent () const
| Return label's text indent in pixels.
void | setIndent (int)
int | margin () const
| Return label's text margin in pixels.
void | setMargin (int)
virtual QSize | sizeHint () const
| Return a size hint.
virtual QSize | minimumSizeHint () const
| Return a minimum size hint.
virtual int | heightForWidth (int) const
QRect | textRect () const
virtual void | drawText (QPainter *, const QRectF &)
| Redraw the text.

## Protected Member Functions
virtual void | paintEvent (QPaintEvent *e)
virtual void | drawContents (QPainter *)
| Redraw the text and focus indicator.

## Detailed Description

A Widget which displays a QwtText.

## Constructor & Destructor Documentation

QwtTextLabel::QwtTextLabel | ( | QWidget * | parent = `NULL` | ) |
| explicit

Constructs an empty label.

Parameters

  parent | Parent widget

QwtTextLabel::QwtTextLabel | ( | const QwtText & | text,
|  | QWidget * | parent = `NULL`
| ) |  |
| explicit

Constructs a label that displays the text, text

Parameters

  parent | Parent widget
  text | Text

## Member Function Documentation

int QwtTextLabel::heightForWidth | ( | int | width | ) | const
| virtual

Parameters

  width | Width

Returns
  Preferred height for this widget, given the width.

void QwtTextLabel::paintEvent | ( | QPaintEvent * | event | ) |
| protected virtual

Qt paint event

Parameters

  event | Paint event

Reimplemented in QwtLegendLabel.

QString QwtTextLabel::plainText | ( |  | ) | const

Interface for the designer plugin

Returns
  Text as plain text

See also
  setPlainText(), text()

void QwtTextLabel::setIndent | ( | int | indent | ) |

Set label's text indent in pixels

Parameters

  indent | Indentation in pixels

void QwtTextLabel::setMargin | ( | int | margin | ) |

Set label's margin in pixels

Parameters

  margin | Margin in pixels

void QwtTextLabel::setPlainText | ( | const QString & | text | ) |

Interface for the designer plugin - does the same as setText()

See also
  plainText()

void QwtTextLabel::setText | ( | const QString & | text,
|  | QwtText::TextFormat | textFormat = `QwtText::AutoText`
| ) |  |
| slot

Change the label's text, keeping all other QwtText attributes

Parameters

  text | New text
  textFormat | Format of text

See also
  QwtText

void QwtTextLabel::setText | ( | const QwtText & | text | ) |
| virtual slot

Change the label's text

Parameters

  text | New text

Reimplemented in QwtLegendLabel.

QRect QwtTextLabel::textRect | ( |  | ) | const

Calculate geometry for the text in widget coordinates

Returns
  Geometry for the text